no visual snapping when adding first node or starting feature
Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: GNU/Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17096

Description

When you enable snapping and want to have your first vertex starting at an already existing one you get NO visual feedback that snapping

is already enabled (no green cross to show where to snap to).

Once you added your first vertex you can see this small little green cross snapping along the segment or to the next vertex (depending on

the enabled settings).

From User experience that is very bad because exactly the FIRST Vertex is the most important one.

Although the snapping itself does actually work it gives no visual feedback that snapping is enabled.

Suggestion is to enable the visual feedback of the green cross showing possible snapping positions as soon as the "Add Feature" Button

is clicked.

Associated revisions

Revision 805be417 - 2013-07-16 08:11 AM - Denis Rouzaud

Visual snapping when adding first node or starting feature (fix #8300)

Revision 6b6742bc - 2013-07-16 08:21 AM - Nathan Woodrow

Merge pull request #740 from 3nids/snapfirstnode

Visual snapping when adding first node or starting feature (fix #8300)

History

#1 - 2013-07-15 11:14 PM - Denis Rouzaud

https://github.com/qgis/Quantum-GIS/pull/740

#2 - 2013-07-15 11:22 PM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"6b6742bc74c4cab3d34348407b0a286dc19823d0".
